<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_g.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_g"></a>- g -</h3><ul>
<li>gamma
: <a class="el" href="structhit__rec.html#a29907e2753dc9f8a1556ca03b3eb9ba1">hit_rec</a>
</li>
<li>geode
: <a class="el" href="class_light.html#aeb8b1184fc6cf93bbcc205f50bd004c8">Light</a>
</li>
<li>get_pixel_from_3D()
: <a class="el" href="class_ray_tracer.html#afb77b881327160bda0aa9dd0bae7a5f5">RayTracer</a>
</li>
<li>get_shadding()
: <a class="el" href="class_ray_tracer.html#a4239f82baac1501dc9bd5884e2b5eddc">RayTracer</a>
</li>
<li>get_visible_surface()
: <a class="el" href="class_ray_tracer.html#a51007e02e88d5213dd47284360fcae45">RayTracer</a>
</li>
<li>getAlignVertical()
: <a class="el" href="class_billboard.html#a23e233cc3b365c63ad341823bbb51087">Billboard</a>
, <a class="el" href="class_billboard_transform.html#a064e3a5f3933b74ab225aec1ad45882e">BillboardTransform</a>
</li>
<li>getBBox()
: <a class="el" href="class_mesh.html#acc5d10d24bcc8b127ce9033cf01cb73b">Mesh</a>
, <a class="el" href="class_sphere.html#ab5aec7813daccf5bca5831cde5a30c00">Sphere</a>
, <a class="el" href="class_surface.html#ae3cf222676c208dc301ffc1dacb028e1">Surface</a>
, <a class="el" href="class_triangle.html#a8d4b4ef6090fb1bc4ceec217ff8991ec">Triangle</a>
</li>
<li>getCa()
: <a class="el" href="class_material.html#aa01fadeeceee9591a552c3688db5a533">Material</a>
</li>
<li>getCamera()
: <a class="el" href="class_ray_tracer.html#a93e5af568fdcc8f5d6a45cead69fe337">RayTracer</a>
</li>
<li>getCentroid()
: <a class="el" href="class_mesh.html#aed5f345616e0d840eb59e1f4a0c77df9">Mesh</a>
, <a class="el" href="class_sphere.html#af245199d60ad587999c8b4e10f2c8dc0">Sphere</a>
, <a class="el" href="class_surface.html#a1b0c1c392cc14642a7ff88db7c16d0f0">Surface</a>
, <a class="el" href="class_triangle.html#ae7c4f3cf55493686d174ff4196477739">Triangle</a>
</li>
<li>getChild()
: <a class="el" href="class_transform.html#a0feb936d19fbc6a699dec3714ef0af02">Transform</a>
</li>
<li>getCp()
: <a class="el" href="class_material.html#ad07aff294522f7d3c0d453627bd364fd">Material</a>
</li>
<li>getCr()
: <a class="el" href="class_material.html#a0280b01366a8f0fc2ffdeb87ac0fd275">Material</a>
</li>
<li>getGlobalMat()
: <a class="el" href="class_transform.html#a44bcd8141337e772ab0dadaf4d70dc01">Transform</a>
</li>
<li>getGlobalMatInv()
: <a class="el" href="class_transform.html#a85f2c4d2e9e37998ef96308b33cc1e05">Transform</a>
</li>
<li>getIntersection()
: <a class="el" href="class_b_v_h.html#a08070488bd968ca9f542c66f8e6961e0">BVH</a>
</li>
<li>getLightDecay()
: <a class="el" href="class_material.html#abbbad91a1d220c635894891ab71d6563">Material</a>
</li>
<li>getLightsVector()
: <a class="el" href="class_scene.html#a2510b15715c974c567cffef03f1afa1f">Scene</a>
</li>
<li>getMat()
: <a class="el" href="class_transform.html#a2277bcdd410169374f66d55a5892c602">Transform</a>
</li>
<li>getMaterial()
: <a class="el" href="class_billboard.html#acf92777d2fda920b2b64625aa450bd3c">Billboard</a>
, <a class="el" href="class_surface.html#a1ffcbcea002fc72862411a3edbd386a7">Surface</a>
</li>
<li>getPhong()
: <a class="el" href="class_material.html#a65f9dd5151b513f5bcf54a5fd59b15f2">Material</a>
</li>
<li>getPosLocalCoords()
: <a class="el" href="class_sphere.html#a70c60796fb681dc31dbce78e3ca8c36b">Sphere</a>
</li>
<li>getPosWorldCoords()
: <a class="el" href="class_sphere.html#ab81f16923614f7ff3f5172239135ef72">Sphere</a>
</li>
<li>getRadius()
: <a class="el" href="class_sphere.html#abc5160404dc9fa0d6a7ae8028dc1a7f1">Sphere</a>
</li>
<li>getRefractiveIndex()
: <a class="el" href="class_material.html#acbacd01f9d2f985ede123b91687280e8">Material</a>
</li>
<li>getRootTransform()
: <a class="el" href="class_scene.html#acaf6d293b31f7ebcf20f1c9195ac4473">Scene</a>
</li>
<li>getScene()
: <a class="el" href="class_ray_tracer.html#a529ef735a2c804625b8e4e6208eec9b7">RayTracer</a>
</li>
<li>getSurfacesVector()
: <a class="el" href="class_scene.html#af9c3da4fc4d5a31613601a23543abb92">Scene</a>
</li>
<li>getTilesNumber()
: <a class="el" href="class_material.html#a6db84f732fc3c38423cbbec8d15e52cb">Material</a>
</li>
<li>getTransform()
: <a class="el" href="class_billboard.html#ae57727f59f1ce912cb9884289c5e36a7">Billboard</a>
, <a class="el" href="class_surface.html#a25a12923766c3df006fa32628fe6bd4b">Surface</a>
</li>
<li>getVertexPosLocalCoords()
: <a class="el" href="class_surface.html#ab04a7e3f5f5b51061b014bdbcfd85107">Surface</a>
</li>
<li>getVertexPosWorldCoords()
: <a class="el" href="class_surface.html#a80450b9cb334e067ddaacb4380149c8e">Surface</a>
</li>
<li>global_tf
: <a class="el" href="class_transform.html#afa608ba2e982f79002af1a1d674871f4">Transform</a>
</li>
<li>global_tf_inv
: <a class="el" href="class_transform.html#ac0b7b583f8c67c59c85a3d38d623a010">Transform</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
